Bug 362061 - clamav does not work through proxies
clamav does not work through proxies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 12:32 EDT by David W. Legg
Modified: 2008-06-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.41.1-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David W. Legg 2007-11-01 12:32:41 EDT
Description of problem:
Firefox works through our work proxy server, but klamav fails when given
equivalent proxy settings.  Message is 'Can't read from remote server.'

Version-Release number of selected component (if applicable):
klamav-0.41.1-5.fc7

How reproducible:
100%

Steps to Reproduce:
1. Start klamav as ordinary user (not root).
2. run klamav.
3. Fill in proxy server IP, port (3128), user (domain\userid), password.
4. Click on Update.
  
Actual results:
Error Message is 'Can't read from remote server.'

Expected results:
Should download latest virus definitions.

Additional info:
Also, the password is in plain text.
The proxy settings do not get remembered by klamav.  You have to re-type them in
next time.
Comment 1 Andy Shevchenko 2007-11-07 08:14:40 EST
Ok. In the next I put all my investigations to this report.

The anonymous access to the proxy works fine. You could test it by install 
local squid f.e.

The authorized access sometime not works indeed. I try two combinations on one 
of my proxies. In first, I put regitered user account and it not works. In 
second, I register a new one account. With the last one the klamav works fine. 
Only one difference still present between those accounts - russian and english 
username (squid is authorized via MS ADS).

Is your proxy login contain non-ascii (in strict rule all except english 
letters or digits) symbols? Try to use ascii account name. [1]

About saving preferenses. You should use the /etc/freshclam.conf file. However, 
klamav may try to add the local settings after global ones when start.

Now, I'm only trying to fix the visible password field. This is really unsecure.

[1] Anyway the klamav is still frontend to the clamav binaries only. The above 
described bug isn't klamav's but freshclam's (from clamav package). Please, 
refill it to the clamav.
Comment 2 Fedora Update System 2007-11-08 00:59:46 EST
klamav-0.41.1-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update klamav'
Comment 3 Fedora Update System 2007-11-09 18:42:39 EST
klamav-0.41.1-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update klamav'
Comment 4 David W. Legg 2007-11-10 06:32:36 EST
Have moved this bug to point at clamav as advised above, and changed the title.
Comment 5 Andy Shevchenko 2007-11-11 07:58:27 EST
Enrico, please review this report. Thank you.
Comment 6 Enrico Scholz 2007-11-11 13:14:38 EST
When the report is due to the non-ascii username/password, then it is NOT A BUG.
HTTP/PROXY basic auth protocol does not contain any information about the used
charset and will work with US-ASCII logindata only.
Comment 7 David W. Legg 2007-11-12 14:36:01 EST
The user name used was domainname\username with a totally ASCII password.
Does that count as non-ASCII?

If so, a way of being able to omit the domainname is needed so that the '\' can
be missed out.  Alternatively, handling non-ASCII chars such as '\' would be cool.
Comment 8 Fedora Update System 2007-11-12 18:55:17 EST
klamav-0.41.1-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2007-11-12 18:56:28 EST
klamav-0.41.1-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Andy Shevchenko 2007-11-13 05:35:35 EST
Sorry for bodhi's noise.
Comment 11 Bug Zapper 2008-05-14 10:56:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2008-06-16 22:46:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.